Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer
Class XsltTransformer.DefaultErrorListener

    java.lang.Object
      org.mule.module.xml.transformer.XsltTransformer.DefaultErrorListener

All Implemented Interfaces:
  ErrorListener

Enclosing class:
  XsltTransformer

    protected class XsltTransformer.DefaultErrorListener

extends Object
implements ErrorListener

Constructor Summary
`XsltTransformer.DefaultErrorListener(Transformer trans)`

Method Summary
`void` | `error(TransformerException exception)`
`void` | `fatalError(TransformerException exception)`
`TransformerException` | `getException()`
`boolean` | `isError()`
`void` | `warning(TransformerException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltTransformer.DefaultErrorListener

    public XsltTransformer.DefaultErrorListener(Transformer trans)

Method Detail

### getException

    public TransformerException getException()

### isError

    public boolean isError()

### error

    public void error(TransformerException exception)
               throws TransformerException

  Specified by:
    `error` in interface `ErrorListener`
  Throws:
    `TransformerException`

### fatalError

    public void fatalError(TransformerException exception)
                    throws TransformerException

  Specified by:
    `fatalError` in interface `ErrorListener`
  Throws:
    `TransformerException`

### warning

    public void warning(TransformerException exception)
                 throws TransformerException

  Specified by:
    `warning` in interface `ErrorListener`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.